Package org.apache.sysds.runtime.controlprogram.parfor

## Class Task

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.Task

- All Implemented Interfaces:
    `Serializable`

      public class Task
      extends Object
      implements Serializable

  A task is a logical group of one or multiple iterations (each iteration is assigned to exactly one task). There, each single task is executed sequentially. See TaskPartitioner for how tasks are created and ParWorker for how those tasks are eventually executed. NOTE: (Extension possibility: group of statements)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Task.TaskType` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MAX_TASK_SIZE` |
    `static int` | `MAX_VARNAME_SIZE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Task()` |
    `Task​(String iterVar, Task.TaskType type)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addIteration​(IntObject indexVal)` |
    `List<IntObject>` | `getIterations()` |
    `Task.TaskType` | `getType()` |
    `String` | `getVarName()` |
    `static Task` | `parseCompactString​(String stask)` |
    `int` | `size()` |
    `String` | `toCompactString()` |
    `String` | `toCompactString​(int maxDigits)` |
    `String` | `toFormatedString()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAX_VARNAME_SIZE

          public static final int MAX_VARNAME_SIZE

      See Also:
        Constant Field Values

    - #### MAX_TASK_SIZE

          public static final int MAX_TASK_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Task

          public Task()

    - #### Task

          public Task​(String iterVar,
                      Task.TaskType type)

  - ### Method Detail

    - #### addIteration

          public void addIteration​(IntObject indexVal)

    - #### getIterations

          public List<IntObject> getIterations()

    - #### getType

          public Task.TaskType getType()

    - #### getVarName

          public String getVarName()

    - #### size

          public int size()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toFormatedString

          public String toFormatedString()

    - #### toCompactString

          public String toCompactString()

    - #### toCompactString

          public String toCompactString​(int maxDigits)

    - #### parseCompactString

          public static Task parseCompactString​(String stask)